Wind River Support Network

HomeDefectsLIN5-23027
Fixed

LIN5-23027 : Security Advisory - libsndfile - CVE-2017-7742

Created: Apr 26, 2017    Updated: May 29, 2018
Resolved Date: Jul 20, 2017
Found In Version: 5.0.1.39
Fix Version: 5.0.1.41
Severity: Standard
Applicable for: Wind River Linux 5
Component/s: Userspace

Description

In libsndfile before 1.0.28, an error in the flac_buffer_copy() function (flac.c) can be exploited to cause a segmentation violation (with read memory access) via a specially crafted FLAC file during a resample attempt, a similar issue to CVE-2017-7585.

https://nvd.nist.gov/vuln/detail/CVE-2017-7742

Other Downloads


Live chat
Online